Bug 215228 - cpuspeed configuration file unhelpful
cpuspeed configuration file unhelpful
Product: Fedora
Classification: Fedora
Component: cpuspeed (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jarod Wilson
Depends On:
  Show dependency treegraph
Reported: 2006-11-12 11:41 EST by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-08 10:56:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2006-11-12 11:41:09 EST
Description of problem:

First of all one would expect, following a general schema,
/etc/sysconfig/cpuspeed for that configuration file and not
/etc/cpuspeed.conf as it is now.

The second issue is that, AFAICS at least with i686 kernel,
currently there are two "cpu/cpufreq" modules.  Namely
acpi-cpufreq.ko and p4-clockmod.ko.  The first is used,
if only possible, by /etc/init.d/cpuspeed if no other driver module
is specified; which really leaves p4-clockmod.  A default
/etc/cpuspeed.conf says:

# uncomment this and set to the name of your CPUFreq module

Why not "p4-clockmod" at least?

'VMAJOR=1' and 'VMINOR=1' also do not seem to serve any useful

Some documentation would also be nice.  'cpuspeed --help' printed
on stderr, so sending that to 'less' is not straightforward, is not
overly convenient.

Version-Release number of selected component (if applicable):
Comment 1 Jarod Wilson 2007-01-08 10:56:15 EST
The latest rawhide cpuspeed build (1.48.fc7) carries what I think is a far more
useful config file. Adding further documentation will be tracked under bug
172655, closing this one out. Once we've had the rawhide build stabilized for a
little while, I'll push it for fc6 as well.

Note You need to log in before you can comment on or make changes to this bug.